Subject: Re: [PATCH]: [MPC5200] Add ATA DMA support

From: Matt Sealey <[email-masked]>
Date: Tue, 11 Nov 2008 08:35:51 -0600

Oddly I built 2.6.27.2 with the patch and the Efika "waited" for a disk to appear
and didn't get anywhere. If I set libata.dma=0 then it complained about missing
symbols (but not with it enabled!).

This was a clean SUSE kernel from Factory, with only the ATA patch applied with
a few hand-merges (pata_mpc52xx.c has had a line of whitespace removed at some
point, but otherwise identical).

Lehmann, Hans (Ritter Elektronik) wrote:
> Tim, Grant,
> 
> I have tested the patch on our MPC5200B based board with Kingston Elite Pro CF-card and it worked fine with DMA2. I have port the patch back to 2.6.24.7 Kernel and I can't detect problems our errors, even with big files (40 mB) over FEC wich I save to card . We get performance up to 10,5mB/s which is near to the max. speed.
> 
> Greetings
> 
> 
> 
> 
> Mit freundlichen Grüßen
> 
> Hans Lehmann
> Softwareentwicklung
> 
> Telefon	+49 (0)2191-67-2520
> Fax 	+49 (0)2191-67-703408
> e-mail 	[email-masked]
> 
> 
> 
> Ritter Elektronik GmbH
> Leverkuser Straße 65
> D-42897 Remscheid
> www.ritter-elektronik.de
> 
> Geschäftsführer: Manfred A. Wagner, Dr. Uwe Baader
> Sitz der Gesellschaft: Oberhausen
> HRB 17168 Duisburg  /  USt-ID DE 814009849
> 
> 
> -----Ursprüngliche Nachricht-----
> Von: linuxppc-dev-bounces+hans.lehmann=[email-masked] [mailto:linuxppc-dev-bounces+hans.lehmann=[email-masked]] Im Auftrag von Tim Yamin
> Gesendet: Mittwoch, 13. August 2008 11:07
> An: Grant Likely
> Cc: [email-masked]
> Betreff: [WW Spam: medium] Re: [PATCH]: [MPC5200] Add ATA DMA support
> 
> On Wed, Aug 13, 2008 at 7:11 AM, Grant Likely <[email-masked]> wrote:
>> Sounds good to me.  You will get more testers that way.  I can pick it 
>> up for -next if everything else looks good.
> 
> Here are the new patches; tested against 2.6.27-rc3.
> 
> Thanks,
> 
> Tim
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations